<h1 class="title">Установка и настройка приложения «Простые звонки» на Android смартфон</h1>

<h2>1. Установка приложения на Android смартфон</h2>
<hr>

<p><a target="_blank" href="http://prostiezvonki.ru/android">Перейдите по ссылке</a> и установите APK приложение на свой смартфон.
Установите приложение, при необходимости, разрешите «Установку приложений из неизвестных источников».
После установки приложения запустите его и продолжайте настройку.
</p>

<p class="attention">Внимание! Приложение «Простые звонки» временно недоступно в Google Play маркет. Сейчас мы обновляем свое приложение, чтобы оно соответствовало новым <a target="_blank" href="https://support.google.com/googleplay/android-developer/answer/9047303?hl=ru">требованиям компании Google</a>. В ближайшее время наше приложение будет снова доступно в Google Play.</p>

<h2>2. Настройка приложения</h2>
<hr>
<p>2.1. После того как вы откроете приложение «Простые звонки» в первый раз, вы увидите сообщение:</p>
<p><img src="images/android/ustanovka_nastroyka_android_account.jpg" alt="глаынй эран приложения"></p>

<p>2.2. Если вы уже заказали демо-версию нашего модуля на <a target="_blank" href="http://prostiezvonki.ru/demo#trial">сайте продукта</a>, то нажмите кнопку <strong>«Есть»</strong> и перед вами откроются настройки приложения «Простые звонки»:</p>
<p><img src="images/android/ustanovka_nastroyka_android_account_settings.jpg" alt="ввод даннх аккаунта"></p>

<p>2.3. После нажатия на пункт <strong>«Пароль»</strong> (1) откроется окно, в котором укажите шестизначный пароль, полученный в письме с демо-версией:</p>
<p>После ввода пароля нажмите кнопку <strong>«ОК»</strong>.</p>

<p>2.4. После нажатия на пункт <strong>«Внутренний номер»</strong>(2) откроется окно, в котором укажите свой номер телефона:</p>
<p><img src="images/android/ustanovka_nastroyka_number.jpg" alt="ввод номера телефона"></p>

<p>Например, ваш федеральный номер +7 (900) 123-45-67. В поле <strong>«Внутренний номер»</strong> укажите все цифры своего номера телефона без плюса, кода страны, пробелов, скобок и знаков тире: 9001234567</p>

<p class="attention">Внимание! У каждого пользователя данный номер должен быть уникальным в пределах вашей компании. Внутренний номер, заданный в Android приложении, должен <strong>обязательно</strong> совпадать с внутренним номером, заданным у этого пользователя в CRM системе.</p>
<p>После ввода своего номера телефона нажмите кнопку <strong>«ОК»</strong>.</p>

<p>2.6. Многие смартфоны поддерживают функцию аудиозаписи телефонных разговоров, например: Xiaomi и Meizu.</p>

<p>2.6.1. Если ваш смартфон оснащен этой функцией, мы рекомендуем включить её, а приложение «Простые звонки» настроить на автоматический сбор готовых аудиофайлов: </p>
<ul>
	<li>В пункте (4) отключите запись звонков, для этого выберите вариант <strong>«Выключено»</strong></li>
	<li>Включите опцию <strong>«Использовать внешние аудиозаписи звонков»</strong></li>
	<li>В пункте <strong>«Директория внешних аудиозаписей»</strong> укажите папку, в которую ваш смартфон сохраняет записи разговоров (5):</li>
</ul>
<p><img src="images/android/ustanovka_nastroyka_record.jpg" alt="включение записи"></p>

<p>2.6.2. Если ваш смартфон не оснащен аудиозаписью телефонных разговоров, настройте функцию аудиозаписи в приложении «Простые звонки». Для этого выберите пункт <strong>«Выполнять аудиозапись звонков»</strong> (4). В открывшемся окне выберите источник записи звонков:</p>
<p><img src="images/android/ustanovka_nastroyka_record_settings.jpg" alt="настройка записи"></p>

<p class="attention">Внимание! Функция аудиозаписи звонков может не работать на некоторых смартфонах. В настройках доступно несколько вариантов источников записи телефонного разговора. Вам необходимо самостоятельно, опытным путем, подобрать источник аудиозаписи, подходящий для своего смартфона. Если ни один из источников записи не сработал, то, к сожалению, функция аудиозаписи не будет работать на этом смартфоне.</p>

<p>2.7. Проверьте правильность работы функции записи звонков:</p>

<p>2.7.1. Выберите один из источников записи, и сделайте тестовый звонок, например, на номер своего оператора связи (Мегафон 8-800-550-05-00, МТС 8-800-250-08-90, Билайн 8-800-700-06-11). Во время тестового звонка произнесите несколько слов в трубку. После завершения звонка откройте пункт меню «История звонков»:</p>
<p><img src="images/android/ustanovka_nastroyka_history.jpg" alt="история звонков"></p>

<p>2.7.2. На экране <strong>«История звонков»</strong> вы увидите все звонки, обработанные приложением «Простые звонки». Если запись звонка была создана, то вы сможете прослушать ее, нажав кнопку <strong>«Воспроизведение»</strong>:</p>

<p><img src="images/android/ustanovka_nastroyka_history_play.jpg" alt="проигрывание записанного звонка"></p>

<p>2.7.3. Если запись звонка создалась неправильно или вас не устраивает ее качество (например, слышно только вас, а собеседника не слышно совсем или слышно очень плохо), попробуйте выбрать другой источник записи, так как это описано в п.2.6.</p>

<p>В «Истории звонков» вы можете увидеть причину, по которой не создана запись звонка: 
	<ul>
		<li>- <strong>«Ошиб.»</strong> - <strong>«Ошибка»</strong>, приложение не смогло сделать запись из-за того, что в настройках выбран несовместимый источник аудиозаписи. Выберите другой источник записи п.2.6.</li>
		<li>- <strong>«Выкл.»</strong> - <strong>«Запись выключена»</strong>, аудиозапись выключена в настройках приложения.</li>
	</ul>
</p>

<p><img src="images/android/ustanovka_nastroyka_history_on_off.jpg" alt="записался или не записался звонок"></p>

<p>Обратите внимание на иконку <strong>«облако с галочкой»</strong>. Она означает, что информация о звонке была отправлена со смартфона на облачный сервис «Простые звонки»:</p>
<p><img src="images/android/ustanovka_nastroyka_history_cloud.jpg" alt="отправка звонка в облачный сервис"></p>

<p>2.7.4. Если у вас в смартфоне более одной SIM-карты, то напротив каждого звонка вы сможете увидеть номер SIM-карты через которую был совершен или принят звонок:</p>
<p><img src="images/android/ustanovka_nastroyka_history_sim.jpg" alt="с какой сим карты был звонок"></p>

<p>В пункте настроек <strong>«Принимать события только с определенных SIM-карт»</strong> вы можете указать с каких SIM-карт необходимо фиксировать звонки. По умолчанию фиксируются звонки, поступающие на все SIM-карты, установленные в смартфон.</p>

<p class="attention">Внимание! Некоторые смартфоны не передают данные о SIM-карте, на которую поступил звонок. Поэтому возможность «Принимать события только с определенных SIM-карт» будет работать только в том случае, если номер SIM-карты отображается в журнале звонков, как это описано в данном пункте. </p>

<p>2.8. Если все настроено правильно, то после выхода из настроек, на главном экране приложения «Простые звонки» вы увидите состояние <strong>«В сети»</strong>:</p>
<p><img src="images/android/ustanovka_nastroyka_online.jpg" alt="статус онлайн"></p>

<p>Состояние приложения <strong>«В сети»</strong> говорит о том, что приложение успешно подключиться к облачному сервису «Простые звонки». </p>

<p>Так же вы увидите адрес сервера и внутренний номер, которые необходимо указать в настройках модуля «Простые звонки» в вашей CRM системе или другой программе для работы с клиентской базой.</p>

<h2>3. Проверка настроек интеграции</h2>
<hr>
<p>После того как вы настроите интеграцию на стороне СRM, вы можете проверить настройки.</p>

<p>3.1. В главном меню приложения нажмите на пункт <strong>«Проверка соединения»</strong>.</p>
<p><img src="images/android/ustanovka_nastroyka_check_connection.jpg" alt="проверка соединения"></p>

<p>Подтвердите отправку события:</p>
<p><img src="images/android/ustanovka_nastroyka_connection_event.jpg" alt="отправ события"></p>

<p>Если соединение с сервисом установлено корректно, будет отображено сообщение:</p>
<p><img src="images/android/ustanovka_nastroyka_connection_ok.jpg" alt="сообщенеи об успешном соединении."></p>

<p>Если в этот момент к сервису подключен пользователь СRM с таким же номером который был вами указан в пункте 2.4 в CRM вы увидите уведомление о входящем звонке с номера 79990000000.</p>

<h2>3. Что делать если интеграция не работает</h2>
<hr>
<p><img src="images/android/ustanovka_nastroyka_checking.jpg" alt="если интеграця не работает"></p>